Public holidays
GET
/v1/holidaysPublic holidays for 204 countries from 1999 to 2027, filterable by date range.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| countryoptional | string query | One or more ISO codes, comma separated e.g. CL,BA,AT |
| fromoptional | period query | First period to return e.g. 2025-01 |
| tooptional | period query | Last period to return e.g. 2026-08 |
Request
# Public holidays for every calendar held
curl "https://api.tourismapi.com/v1/holidays?country=CL,BA,AT&from=2025-01&to=2026-08" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/holidays?country=CL,BA,AT&from=2025-01&to=2026-08", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/holidays?country=CL,BA,AT&from=2025-01&to=2026-08",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/holidays?country=CL,BA,AT&from=2025-01&to=2026-08");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_4e5c39cb00",
"data_as_of": "2026-10-20T04:48:18Z",
"count": 85
},
"data": [
{
"country": "AT",
"date": "2025-01-01",
"name": "New Year's Day",
"local_name": "Neujahr",
"national": true
},
{
"country": "BA",
"date": "2025-01-01",
"name": "New Year's Day",
"local_name": "Nova Godina",
"national": true
},
{
"country": "CL",
"date": "2025-01-01",
"name": "New Year's Day",
"local_name": "Año Nuevo",
"national": true
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| country | string | AT |
| date | string | 2025-01-01 |
| name | string | New Year's Day |
| local_name | string | Neujahr |
| national | boolean | true |